import { cn as e } from "../../lib/utils.js";
import { buttonVariants as t } from "./button.js";
import "react";
import { jsx as n, jsxs as r } from "react/jsx-runtime";
import * as i from "@radix-ui/react-alert-dialog";
//#region src/components/ui/alert-dialog.tsx
function a({ ...e }) {
	return /* @__PURE__ */ n(i.Root, {
		"data-slot": "alert-dialog",
		...e
	});
}
function o({ ...e }) {
	return /* @__PURE__ */ n(i.Trigger, {
		"data-slot": "alert-dialog-trigger",
		...e
	});
}
function s({ ...e }) {
	return /* @__PURE__ */ n(i.Portal, {
		"data-slot": "alert-dialog-portal",
		...e
	});
}
function c({ className: t, ...r }) {
	return /* @__PURE__ */ n(i.Overlay, {
		"data-slot": "alert-dialog-overlay",
		className: e("data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 fixed inset-0 z-50 bg-black/50", t),
		...r
	});
}
function l({ className: t, ...a }) {
	return /* @__PURE__ */ r(s, { children: [/* @__PURE__ */ n(c, {}), /* @__PURE__ */ n(i.Content, {
		"data-slot": "alert-dialog-content",
		className: e("bg-background data-[state=open]:animate-in data-[state=closed]:animate-out data-[state=closed]:fade-out-0 data-[state=open]:fade-in-0 data-[state=closed]:zoom-out-95 data-[state=open]:zoom-in-95 fixed top-[50%] left-[50%] z-50 grid w-full max-w-[calc(100%-2rem)] translate-x-[-50%] translate-y-[-50%] gap-4 rounded-lg border p-6 shadow-lg duration-200 sm:max-w-lg", t),
		...a
	})] });
}
function u({ className: t, ...r }) {
	return /* @__PURE__ */ n("div", {
		"data-slot": "alert-dialog-header",
		className: e("flex flex-col gap-2 text-center sm:text-left", t),
		...r
	});
}
function d({ className: t, ...r }) {
	return /* @__PURE__ */ n("div", {
		"data-slot": "alert-dialog-footer",
		className: e("flex flex-col-reverse gap-2 sm:flex-row sm:justify-end", t),
		...r
	});
}
function f({ className: t, ...r }) {
	return /* @__PURE__ */ n(i.Title, {
		"data-slot": "alert-dialog-title",
		className: e("text-lg font-semibold", t),
		...r
	});
}
function p({ className: t, ...r }) {
	return /* @__PURE__ */ n(i.Description, {
		"data-slot": "alert-dialog-description",
		className: e("text-muted-foreground text-sm", t),
		...r
	});
}
function m({ className: r, ...a }) {
	return /* @__PURE__ */ n(i.Action, {
		className: e(t(), r),
		...a
	});
}
function h({ className: r, ...a }) {
	return /* @__PURE__ */ n(i.Cancel, {
		className: e(t({ variant: "outline" }), r),
		...a
	});
}
//#endregion
export { a as AlertDialog, m as AlertDialogAction, h as AlertDialogCancel, l as AlertDialogContent, p as AlertDialogDescription, d as AlertDialogFooter, u as AlertDialogHeader, c as AlertDialogOverlay, s as AlertDialogPortal, f as AlertDialogTitle, o as AlertDialogTrigger };
